from setuptools import setup

setup(
    name="wordcount-cli",  # Unique name on PyPI
    version="1.0.0",
    author="Your Name",
    author_email="your.email@example.com",
    description="A simple CLI tool to count words and characters in a text.",
    py_modules=["wordcount"],  # Refers to wordcount.py
    install_requires=[],
    entry_points={
        "console_scripts": [
            "wordcount=wordcount:main",  # This creates the CLI command
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
